API ReferenceCWT credentials
Format a CWT credential as a PDF
POST
Returns a PDF representation of a provided CWT credential based on an existing PDF template.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_PDF_CREATE_STARTCREDENTIAL_COMPACT_PDF_CREATE_SUCCESSCREDENTIAL_COMPACT_PDF_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>Credential payload
application/json- body
templateId?stringUse the ID element of the PDF template to be used to format this credential.
Length
1 <= lengthpayload?stringString payload representation of the encoded CWT credential.
Length
1 <= length <= 1024PDF created
response?unknownapplication/pdfFormat
binarycurl -X POST "https://example.com/v2/credentials/compact/pdf" \ -H "Content-Type: application/json" \ -d '{ "templateId": "4eea7654-d4c5-4eba-bd7a-5ca334d54725", "payload": "{payload}" }'nullHow would you rate this page?
Format a CWT credential as a QR code POST
Returns a QR code representation of a CWT credential from a provided encoded string representation of that credential.
Format a CWT credential as an Apple Pass POST
Returns an Apple Pass representation of a provided CWT credential based on an existing Apple Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout>